Can't run XAMPP under FC10 x64 machine

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Can't run XAMPP under FC10 x64 machine

Postby Jolun » 02. January 2009 17:13

Hi,

I can't get the XAMPPto run on my Fedora Core 10 machine. It's a 64 bit processor box. Installation works fine but when I run opt/lampp/lampp start I get the following message:

XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system.

What to do?

Best regards

Jolun
Jolun
 
Posts: 8
Joined: 20. September 2008 10:20

Re: Can't run XAMPP under FC10 x64 machine

Postby Nobbie » 02. January 2009 20:32

>What to do?

What is unclear? Either use as 32bit compatibility layer (as the error message tells) or use a 32bit Linux system.

There is no Xampp for 64bit.
Nobbie
 
Posts: 8761
Joined: 09. March 2008 13:04

Re: Can't run XAMPP under FC10 x64 machine

Postby Jolun » 02. January 2009 21:28

How do I create 32bit compatibility layer?

/Jolun
Jolun
 
Posts: 8
Joined: 20. September 2008 10:20

Re: Can't run XAMPP under FC10 x64 machine

Postby Wiedmann » 03. January 2009 01:20

How do I create 32bit compatibility layer?

That's a software package for your Linux distribution. You must not "create" it, just install the package with your package manager.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: Can't run XAMPP under FC10 x64 machine

Postby Jolun » 03. January 2009 18:11

Well, usually 32 bit programs runs under a 64 bit os. Way not XAMPP? Any way I have searched for a package without find any. Is there any one that have a idea of how this package might be named? I'm using Fedora Core 10.

/Jolun
Jolun
 
Posts: 8
Joined: 20. September 2008 10:20

Re: Can't run XAMPP under FC10 x64 machine

Postby jchandler » 03. January 2009 21:24

just install the glibc 32bit packages.

that will create the libs you need for 32bit compat.
jchandler
 
Posts: 1
Joined: 03. January 2009 21:16

Re: Can't run XAMPP under FC10 x64 machine

Postby Jolun » 04. January 2009 00:07

Thank you! I just started xampp.
Jolun
 
Posts: 8
Joined: 20. September 2008 10:20

Re: Can't run XAMPP under FC10 x64 machine

Postby stanzo » 15. January 2009 23:52

If you're running ubuntu, the packages might be called libc6-i386 and libc6-dev-i386
stanzo
 
Posts: 2
Joined: 15. January 2009 23:30


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests